import { ClientWrapper } from "mqtt-topping";
import * as Logger from "bunyan";
declare type BootstrapData = {
    backendHost: string;
    configServerUri: string;
    device: string;
    deviceTopic: string;
    httpBrokerUri: string;
    tcpBrokerUri: string;
    wsBrokerUri: string;
};
declare type QueryConfig = (configPath: string) => any;
declare type InitData = {
    logger: Logger;
    mqttClient: ClientWrapper;
    queryConfig: QueryConfig;
    data: BootstrapData;
};
declare type Options = {
    timeout?: number;
    retryDelay?: number;
};
declare const _default: (url: string, serviceId: string, { timeout, retryDelay }?: Options) => Promise<InitData>;
export = _default;
